/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
extern const cy_stc_sar_config_t ADC_1_hwConfigs[ADC_1_TOTAL_CONFIGS];

const cy_stc_sysint_t ADC_IRQ_cfg = {
        #if (CY_CPU_CORTEX_M0P)
            /* .intrSrc         = */ NvicMux8_IRQn,             /* CM0+ interrupt is NVIC #8 */
            /* .cm0pSrc         = */ pass_interrupt_sar_IRQn,   /* Source of NVIC #8 is the SAR interrupt */
            /* .intrPriority    = */ 7UL                        /* Interrupt priority is 7 */
        #else
            /* .intrSrc         = */ pass_interrupt_sar_IRQn,   /* Interrupt source is the SAR interrupt */
            /* .intrPriority    = */ 7UL                        /* Interrupt priority is 7 */
        #endif
};

void SAR_Interrupt(void)
{
    uint32_t intr_status = 0u;
    uint32_t result=0;
    /* Read interrupt status register. */
    intr_status = Cy_SAR_GetInterruptStatus(SAR);
    /* Check what triggered the interrupt. */
    if ((intr_status & (uint32_t) CY_SAR_INTR_EOS_MASK) == (uint32_t) CY_SAR_INTR_EOS_MASK)
    {
        /* An end of scan occured, retrieve the ADC result and do something with it here. */
        result = Cy_SAR_CountsTo_mVolts(SAR, 0, Cy_SAR_GetResult16(SAR, 0));
        if(result < 1600)
        {
            Cy_GPIO_Write(RED_PORT, RED_NUM, 1);
            Cy_SysLib_Delay(1000);
            ADC_1_SelectConfig(1,1);
        }
        else
        {
            Cy_GPIO_Write(RED_PORT, RED_NUM, 0);
            Cy_SysLib_Delay(1000);
            ADC_1_SelectConfig(0,1);
        }
    }
    /* Check for the saturation detection status, if enabled. */
    /* Check for the range detection status, if enabled. */
    /* Clear the handled interrupt. */
    Cy_SAR_ClearInterrupt(SAR, intr_status);
}

int main(void)
{
    __enable_irq(); /* Enable global interrupts. */
    
    ADC_1_StartEx(SAR_Interrupt);
    ADC_1_SelectConfig(0,1);

    for(;;)
    {
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
